title = "AWS"

[[rules]]
id = "aws-access-key-id"
description = "AWS access key id"
regex = '''(A3T[A-Z0-9]|AKIA|AGPA|AIDA|AROA|AIPA|ANPA|ANVA|ASIA)[a-zA-Z0-9]{16}'''
keywords = [
    "akia",
    "agpa",
    "aida",
    "aroa",
    "aipa",
    "anpa",
    "anva",
    "asia",
]

[[rules]]
id = "aws-secret-access-key"
description = "AWS secret access key"
regex = '''(?:['|"|\n|\r|\s|\x60|;]|^)([a-zA-Z0-9+\/]{40})(?:['|"|\n|\r|\s|\x60|;]|$)'''
keywords = [ "aws", "key", "secret", "access" ]
